#ifndef ACTIONSDIALOG_H
#define ACTIONSDIALOG_H

#include <qdialog.h>
#include <qlist.h>

class QAction;
class QTable;
class QTableItem;
class QObjectList;
class QWidget;

class ActionsDialog : public QDialog
{
    Q_OBJECT

public:
    ActionsDialog(QObjectList *actions, QWidget *parent = 0);

protected slots:
    void accept();

private slots:
    void recordAction(int row, int column);
    void validateAction(int row, int column);

private:
    QString oldAccelText;
    QTable *actionsTable;
    QValueList<QAction*> actionsList;
};

#endif
